%define realname netspeed_applet
%define appletsdir %_libdir/gnome-panel-2.0/applets

Name: gnome-applets-extra-netspeed
Version: 0.16
Release: alt1

Packager: Victor Forsiuk <force@altlinux.org>

Summary: Applet that shows traffic on a network device
License: GPLv2+
Group: Graphical desktop/GNOME

Url: http://www.gnome.org/projects/netspeed/
Source: http://launchpad.net/netspeed/trunk/%version/+download/netspeed_applet-%version.tar.gz

# Automatically added by buildreq on Tue Sep 28 2010
BuildRequires: gnome-doc-utils intltool libgnome-panel-devel libgtop-devel libwireless-devel

%description
netspeed_applet is a little GNOME applet that shows the traffic on a specified
network device (for example eth0) in kbytes/s.

%prep
%setup -n %realname-%version

%build
%configure --libexecdir=%appletsdir
%make_build

%install
%makeinstall_std

%find_lang --with-gnome %realname

%files -f %realname.lang
%appletsdir/%{realname}2
%_libdir/bonobo/servers/*
%_iconsdir/hicolor/*/*/*

%changelog
* Tue Sep 28 2010 Victor Forsiuk <force@altlinux.org> 0.16-alt1
- 0.16

* Sat Jan 10 2009 Victor Forsyuk <force@altlinux.org> 0.15.2-alt2
- Remove obsolete install time scripts.

* Wed Oct 15 2008 Victor Forsyuk <force@altlinux.org> 0.15.2-alt1
- 0.15.2
- Build with wireless support.

* Mon Sep 08 2008 Victor Forsyuk <force@altlinux.org> 0.15-alt1
- 0.15

* Fri May 30 2008 Victor Forsyuk <force@altlinux.org> 0.14-alt3
- Fix FTBFS.

* Wed Jul 04 2007 Victor Forsyuk <force@altlinux.org> 0.14-alt2
- Update build requirements (libSM-devel now have to be listed explicitly).

* Thu Nov 02 2006 Victor Forsyuk <force@altlinux.org> 0.14-alt1
- 0.14
- Updated buildreqs.

* Mon Feb 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.11-alt1
- 0.11

* Sun Sep 12 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.10-alt2.1
- rebuild with new libgtop2.

* Mon Jun 07 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.10-alt2
- buildfix

* Mon Jun 07 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.10-alt1
- 0.10, translation update

* Fri Feb 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.2-alt2
- rebuild with new libgtop2.

* Fri Feb 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.2-alt1
- 0.9.2

* Fri Jan 09 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.1-alt1
- 0.9.1

* Mon Sep 15 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9-alt1
- new version

* Thu Aug 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5-alt3
- Rebuild with new libgtop (2.0.4).

* Sun Jul 06 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.5-alt2
- Fix deps

* Mon Nov 04 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.5-alt1
- ALTLinux build, translation update
